Bug 444456 - tftp-tcp_wrappers issue
Summary: tftp-tcp_wrappers issue
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: tcp_wrappers   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tomas Janousek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-28 14:58 UTC by Roger Depreeuw
Modified: 2008-04-30 08:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-30 08:58:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roger Depreeuw 2008-04-28 14:58:17 UTC
Description of problem:
testing of tftp 
test on localhost very fast and reliable
test on remote timed-out.
Info from tftp on localhost: tftp -V ->tftp-hpa 0.48, without readline.
What is missing is "with tcpwrappers, with remap"
Recompiled tftp from src. Found out in the config.log that tcpd.h is not found.
I believe tcpd.h should be part of tcp_wrappers.rpm, or am i wrong?

Version-Release number of selected component (if applicable):
tftp-hpa 0.48

How reproducible:
tftp -V

Steps to Reproduce:
1.
2.
3.
  
Actual results:
ltsp not functioning

Expected results:
tcpd.h become part of distribution

Additional info:

Comment 1 Tomas Janousek 2008-04-28 15:18:45 UTC
tcpd.h is in tcp_wrappers-devel

Comment 2 Roger Depreeuw 2008-04-28 16:26:01 UTC
Yes found it at rpmfind.net
not found in fedora yum list
and tftp from yum install id done without-tcpwrappers

Comment 3 Tomas Janousek 2008-04-28 22:07:30 UTC
Well, I'm unable to understand what you're trying to say. If you're complaining
that tftp isn't built against tcp_wrappers, then it's its bug and you have to
reassign it to tftp. If you're complaining that applications can't be built
against tcp_wrappers in Fedora, then you're wrong and we'll close the bug. I
doubt you may be complaining about anything else, but if that's the case, please
make the best effort to explain that in English.

Comment 4 Roger Depreeuw 2008-04-29 16:53:30 UTC
Sorry for the confusion,i should have spend more time trying to express myself
better.
Using tcpdump i found out that udp was not defined for port 69 in /etc/services.
and therefore access was denied in iptables.
Once that corrected,ltsp and therefore also tftp started working.I'm able to
perform a pxeboot from 2 thin clients now, one is an old pc, the other one a
diskless PC based on AMD Geode LX700. Great experience running kde4,firefox3...
on an old pc.
My confusion started by comparing the results of "tftp -V" from my fc9 machine
with another ltsp-server (previous version). In order to confirm that I had
probably taking a wrong conclusion, I did a yum reinstall tftp and everything is
still working fine. Therefore this bug can be closed


Note You need to log in before you can comment on or make changes to this bug.